<!-- [QPRTemplateStart: matrixdesigner.tpl] -->
<div id="divmatrixdesigner" style="display: none">
  <form name="formMatrixDesigner" action="" method="post">
    <div id="PropertyListWrapper" class="PropertyList">
      <table cellpadding="0" cellspacing="0" class="PropertyForm">
        <caption style="border-top: 0;">
          <#LocalizedText id="View Designer">
        </caption>
        <tr>
          <th style="width: 50%; font-weight: normal; padding-left: 20px;">
            <#LocalizedText id="Attribute Column Properties">
          </th>
          <th style="width: 50%; font-weight: normal; padding-left: 20px;">
            <#LocalizedText id="Data Column Properties">
          </th>
        </tr>
        <tr>
          <td style="vertical-align: top;">
            <table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td>
                  <#LocalizedText id="Column width:">
                </td>
              </tr>
              <tr>
                <td>
                  <input type="radio" name="radHeaderWidthType" value="0" onClick="OnHeaderColumnWidthTypeChanged();">&nbsp;
                  <#LocalizedText id="Relative width">
                </td>
              </tr>
              <tr>
                <td>
                  <input type="radio" name="radHeaderWidthType" value="1" onClick="OnHeaderColumnWidthTypeChanged();">&nbsp;
                  <#LocalizedText id="Fixed width">&nbsp;
                  <input type="text" name="txtFixedHeaderColumnWidth" value="" size="3" maxlength="3">
                </td>
              </tr>
            </table>
          </td>
          <td style="vertical-align: top;">
            <table border="0" cellspacing="0" cellpadding="0">
              <tr>
                <td>
                  <#LocalizedText id="Column width:">
                </td>
              </tr>
              <tr>
                <td>
                  <input type="radio" name="radCellWidthType" value="0" onClick="OnCellColumnWidthTypeChanged();">&nbsp;
                  <#LocalizedText id="Relative width">
                </td>
              </tr>
              <tr>
                <td>
                  <input type="radio" name="radCellWidthType" value="1" onClick="OnCellColumnWidthTypeChanged();">&nbsp;
                  <#LocalizedText id="Fixed width">&nbsp;
                  <input type="text" name="txtFixedCellColumnWidth" value="" size="3" maxlength="3">
                </td>
              </tr>
            </table>
          </td>
        </tr>
      </table>
      <table cellpadding="0" cellspacing="0" class="PropertyForm">
        <tr>
          <th style="width: 100%; font-weight: normal; padding-left: 20px;">
            <#LocalizedText id="Other Settings">
          </th>
        </tr>
        <tr>
          <td>
            <input type="checkbox" value="0" name="chkTranspose">
            <#LocalizedText id="Transpose">
          </td>
        </tr>
      </table>
    </div>
    <div class="ButtonRow" style="border-bottom: 2px solid #a3c0dc;">
      <input type="button" name="btnHelp" value="<#LocalizedText id="Help">" style="width: 160px; float: right;" onclick="javascript: OnMatrixDesignerHelp();" />
<script type="text/javascript">
  if (bIsNativeView() && (!sGetParameter("BOOKMARK", sGetDocumentLocation())) && <#IsPortalReadonly true="false" false="true">) {
    if (<#HasRights product="portal" level="admin" true="true" false="false">)
      document.write('<input type="button" name="btnSetAsDefault" value="<#LocalizedText id="Set as Default...">" onclick="OnSetAsDefaultViewSetting()" style="width: 160px; float: right;" />');
    else
      document.write('<input type="button" name="btnSetAsDefault" value="<#LocalizedText id="Set as Default">" onclick="OnSetAsDefaultViewSetting()" style="width: 160px; float: right;" />'); 
  }
  if (<#IsPortalReadonly true="false" false="true">)
    document.write('<input type="button" name="btnSave" value="<#LocalizedText id="Save...">" onclick="OnSaveSettings()" style="width: 160px; float: right;" />');
</script>
      <input type="button" name="btnApply" value="<#LocalizedText id="Apply">" onclick="OnApply()" style="width: 160px; float: right;" />
    </div>
  </form>
  <div class="Clearer">
  </div>
  <div class="PropertyList">
    <table cellpadding="0" cellspacing="0">
      <caption style="border-top: 0">
<script type="text/javascript">
  document.write(sGetRootName());
</script>
      </caption>
    </table>
  </div>
</div>

<script type="text/javascript">
var _bDesignerShown;

function InitShowState()
{
  var oHeaderView = oGetHeaderView();
  if (oHeaderView && (typeof(oHeaderView.sGetNamedVariableValue) != "undefined")) {
    _bDesignerShown = (oHeaderView.sGetNamedVariableValue("ViewDesigner_Show") == "1");
    // Never show designer in print previews
    if (_bDesignerShown && 
        (bIsInPrintFrame() || 
         (typeof(bHideTableDesigner) != "undefined") && bHideTableDesigner()))
      _bDesignerShown = false;
  }

  UpdateControlStates();
}

function ToggleDesigner()
{
  _bDesignerShown = !_bDesignerShown;

  UpdateControlStates();

  var oHeaderView = oGetHeaderView();
  if (oHeaderView)
    oHeaderView.SetNamedVariableValue("ViewDesigner_Show", _bDesignerShown ? "1" : "0");

  var oMainView = oGetMainView();
  if (oMainView && oMainView.RefreshToolbar)
    oMainView.RefreshToolbar();
}

function OnMatrixDesignerHelp()
{
  OpenHelpWindow(sDecodeURI('<#HelpURL>?matrixdesignerview.htm'));
}

function sGetLocalToolbarHTML()
{
  var oMainView = oGetMainView(),
      sResult = sGetToolbarIconButtonHTML("<#LocalizedText id="Views">", "javascript:oGetInformationViewFrame().OpenViewSettings()", "<#PortalImageFileLocation>icon_view_selection.png");
  if ((<#HasRights product="portal" level="update" true="true" false="false">) && !bHideTableDesigner()) {
    if (_bDesignerShown)
      sResult = sGetToolbarIconButtonHTML("<#LocalizedText id="Hide Designer">", "javascript:oGetInformationViewFrame().ToggleDesigner()", "<#PortalImageFileLocation>icon_hide_designer.png") + sResult;
    else
      sResult = sGetToolbarIconButtonHTML("<#LocalizedText id="Show Designer">", "javascript:oGetInformationViewFrame().ToggleDesigner()", "<#PortalImageFileLocation>icon_show_designer.png") + sResult;
  }  
  if ( oMainView && oMainView.bIsLicensedExcelExport() && !IPAD )
    sResult += sGetToolbarIconButtonHTML("<#LocalizedText id="Export to Excel">", "javascript:oGetInformationViewFrame().ExcelExport()", "<#PortalImageFileLocation>icon_excel_export.png");
  return sResult;
}

function ExcelExport()
{
  var sUrl = sGetDocumentLocation();
  sUrl = sSetPathInfo("/qprexport.xls", sUrl);
  sUrl = sSetParameter(ACT_PARAM_TEMPLATE, "matrixview_excelexport.tpl", sUrl);
  OpenWindow(sUrl, "_blank");
}

function UpdateControlStates()
{
  var oDesigner = document.getElementById('divmatrixdesigner');
  if (_bDesignerShown)
    oDesigner.style.display = "block";
  else
    oDesigner.style.display = "none";

  if (sGetParameter("HWT", sGetDocumentLocation()) == "1")
    document.formMatrixDesigner.radHeaderWidthType[1].checked = true;
  else
    document.formMatrixDesigner.radHeaderWidthType[0].checked = true;
  var sHeaderWidth = sGetParameter("FHW", sGetDocumentLocation());
  if (sHeaderWidth)
    document.formMatrixDesigner.txtFixedHeaderColumnWidth.value = sHeaderWidth;
  else
    document.formMatrixDesigner.txtFixedHeaderColumnWidth.value = 100;
  OnHeaderColumnWidthTypeChanged();
  
  if (sGetParameter("CWT", sGetDocumentLocation()) == "1")
    document.formMatrixDesigner.radCellWidthType[1].checked = true;
  else
    document.formMatrixDesigner.radCellWidthType[0].checked = true;
  var sCellWidth = sGetParameter("FCW", sGetDocumentLocation());
  if (sCellWidth)
    document.formMatrixDesigner.txtFixedCellColumnWidth.value = sCellWidth;
  else
    document.formMatrixDesigner.txtFixedCellColumnWidth.value = 100;
  OnCellColumnWidthTypeChanged();

  document.formMatrixDesigner.chkTranspose.checked = (sGetParameter("TRA", sGetDocumentLocation()) == "1");
}

function OpenViewSettings()
{
  var oHeaderView = oGetHeaderView();
  if (oHeaderView) {
    var sUrl = "<#TableViewURL plugin="QPRPORTAL">";
    sUrl = sSetParameter(ACT_PARAM_TEMPLATE, "viewsettingsselectionview.tpl", sUrl);
    sUrl = sSetParameter(ACT_PARAM_QUERY_ROOT_SHORT, sEncodeURI(sGetViewSettingGroup() + "&"), sUrl);
    OpenWindow(sUrl, "FieldSelection", 400, 300, true, true);
  }
}

function OnViewSettingsSelected(vsParams)
{
  var sURL = sGetDocumentLocation();  
  sURL = sSetParameter("TRA", sGetParameter("TRA", vsParams), sURL);
  sURL = sSetParameter("HWT", sGetParameter("HWT", vsParams), sURL);
  sURL = sSetParameter("FHW", sGetParameter("FHW", vsParams), sURL);
  sURL = sSetParameter("CWT", sGetParameter("CWT", vsParams), sURL);
  sURL = sSetParameter("FCW", sGetParameter("FCW", vsParams), sURL);
  sURL = sSetParameter("SRT", sGetParameter("SRT", vsParams), sURL);
  sURL = sSetParameter(consts.ACT_PARAM_TABLE_VIEW_SETTINGS_ID, sGetParameter(consts.ACT_PARAM_TABLE_VIEW_SETTINGS_ID, vsParams), sURL);
  location.replace(sURL);
}

function OnSaveSettings()
{
  var oHeaderView = oGetHeaderView();
  if (oHeaderView) {
    var sUrl = "<#AddBookmarkURL noname="1">";
    sUrl = sSetParameter(ACT_PARAM_TEMPLATE, "viewsettingseditorview.tpl", sUrl);
    var sSettings = sEncodeURI(sGetViewSettingGroup());
    sSettings = FsComposeParams(sSettings);
    sUrl = sSetParameter(ACT_PARAM_URL, sEncodeURI(sSettings), sUrl);
    OpenWindow(sUrl, "_blank", iGetBookmarkEditorWidth(), iGetBookmarkEditorHeight(), 0);
  }
}

function OnSaveSettingsOk()
{
  OnApply();
}

function OnSetAsDefaultViewSetting()
{
  if (<#HasRights product="portal" level="admin" true="true" false="false">) {
    var sUrl = "<#AddBookmarkURL noname="1">";
    sUrl = sSetParameter(ACT_PARAM_TEMPLATE, "setasdefaultviewsettingsview.tpl", sUrl);
    OpenWindow(sUrl, "SetAsDefaultViewSettings", 400, 300, false, true);
  }
  else
    SetAsDefault();
}

function OnSetAsDefaultViewSettingsClosed(viPublishType, vsSelectedUsers,
                                          voSubmitCallback)
{
  var sParams = "&BPTYP=" + viPublishType;
  if (viPublishType == 1)
    sParams += "&USRS=" + vsSelectedUsers;
  SetAsDefault(sParams, voSubmitCallback);
}

function SetAsDefault(vsExtraParams, voSubmitCallback)
{
  var oMain = oGetMainView();
  var oHeaderView = oGetHeaderView();
  if (oMain && oHeaderView) {
    var sUrl = sGetBaseURL("QPRPORTAL", ACT_POR_BOOKMARK_EDITOR_VIEW);
    var sParams = "";
    sParams = FsComposeParams(sParams);
    sParams += "?";
    sParams = 'HDR=' + oHeaderView.sGetViewDescriptor() + '&SUBHDR=' + oHeaderView.sGetSubViewDescriptor() + '&VIEW=' + sEncodeURI(sParams) + '&TAB=' + sDecodeURI(oHeaderView.sGetShownTabName());
    sParams = sSetParameter(ACT_PARAM_SUB_ACTION, '1', sParams);
    sParams = sSetParameter('DPOVS', '1', sParams);
    if (vsExtraParams)
      sParams += vsExtraParams;

    if (voSubmitCallback)
      voSubmitCallback(sSetParameter('TPL', 'closewindow.tpl',
                       sGetBaseURL('QPRPORTAL', 'prmav')));

    oMain.SubmitURL(sUrl, sParams);
    OnApply();
  }
}

function OnApply()
{
  var sURL = sGetDocumentLocation();
  sURL = FsComposeParams(sURL);
  location.replace(sURL);
}

function ToggleSortField(viIndex)
{
  var iSortIndex = SafeParseInt(sGetParameter("SRT", sGetDocumentLocation()), 0);
  var iTempIndex = iSortIndex;
  if (iSortIndex < 0)
    iTempIndex = -iTempIndex;
  if (iTempIndex == viIndex)
    iSortIndex = -iSortIndex
  else
    iSortIndex = viIndex;
  location.replace(sSetParameter("SRT", iSortIndex, sGetDocumentLocation()));
}

function OnHeaderColumnWidthTypeChanged()
{
  document.formMatrixDesigner.txtFixedHeaderColumnWidth.disabled = document.formMatrixDesigner.radHeaderWidthType[0].checked; 
}

function OnCellColumnWidthTypeChanged()
{
  document.formMatrixDesigner.txtFixedCellColumnWidth.disabled = document.formMatrixDesigner.radCellWidthType[0].checked; 
}

function FsComposeParams(vsParams)
{
  var sTemp;
  if (document.formMatrixDesigner.chkTranspose.checked)
    sTemp = "1";
  else
    sTemp = "0";
  vsParams = sSetParameter("TRA", sTemp, vsParams);
  if (document.formMatrixDesigner.radHeaderWidthType[1].checked)
    sTemp = "1";
  else
    sTemp = "0";
  vsParams = sSetParameter("HWT", sTemp, vsParams);
  vsParams = sSetParameter("FHW", document.formMatrixDesigner.txtFixedHeaderColumnWidth.value, vsParams);
  if (document.formMatrixDesigner.radCellWidthType[1].checked)
    sTemp = "1";
  else
    sTemp = "0";
  vsParams = sSetParameter("CWT", sTemp, vsParams);
  vsParams = sSetParameter("FCW", document.formMatrixDesigner.txtFixedCellColumnWidth.value, vsParams);
  vsParams = sSetParameter("SRT", sGetParameter("SRT", sGetDocumentLocation()), vsParams);  
  return vsParams;
}

InitShowState();

</script>
<!-- [QPRTemplateEnd: matrixdesigner.tpl] -->